package midp.shopper;

import javax.microedition.lcdui.*;
import java.util.Vector;

public class CategoryList extends List implements CommandListener
{
    public CategoryList() 
    {
        super(Locale.current.groups, IMPLICIT);
        Vector categories = Shopper.getInstance().getCategories();
        for (int i = 0, n = categories.size(); i < n; i++) { 
            Category category = (Category)categories.elementAt(i);
            append(category.name, category.icon);
        }       
        setCommandListener(this) ;
        addCommand(Shopper.SELECT_CMD);
        addCommand(Shopper.ADD_CMD);
        addCommand(Shopper.REMOVE_CMD);
        addCommand(Shopper.RENAME_CMD);
        addCommand(Shopper.BACK_CMD);
    }

    public void commandAction(Command c, Displayable d)  
    {
        if (c == Shopper.BACK_CMD) {
            Shopper.goBack();
        } else if (c == Shopper.REMOVE_CMD) {
            int i = getSelectedIndex();
            if (i >= 0) { 
                if (Shopper.getInstance().removeCategory(i)) { 
                    delete(i);
                }
            }
        } else if (c == Shopper.RENAME_CMD) {
            int i = getSelectedIndex();
            if (i >= 0) { 
                Category category = (Category)Shopper.getInstance().getCategories().elementAt(i);
                if (category.isPredefined()) { 
                    Shopper.getInstance().error(Locale.current.predefinedCategory);
                } else { 
                    new RenameCategoryBox(this, i, getString(i));
                }
            }
        } else if (c == Shopper.ADD_CMD) {
            new NewCategoryBox(this);
        } else { 
            int i = getSelectedIndex();
            if (i >= 0) { 
                Category category = (Category)Shopper.getInstance().getCategories().elementAt(i);
                new ProductList(category, this);
            }
        }
    }

}










