package midp.shopper;

import javax.microedition.lcdui.*;

class NewProductBox extends TextBox implements CommandListener 
{
    static final int MAX_PRODUCT_NAME_LENGTH = 32;

    private ProductList parent;

    public  NewProductBox(ProductList parent) 
    { 
        super(Locale.current.add, "", MAX_PRODUCT_NAME_LENGTH, TextField.ANY); 
        this.parent = parent;
        setCommandListener(this);
        addCommand(Shopper.ENTER_CMD);
        addCommand(Shopper.BACK_CMD);
        Display.getDisplay(Shopper.getInstance()).setCurrent(this);
    }
    
    public void commandAction(Command c, Displayable d)  
    {
        Shopper shopper = Shopper.getInstance();
        if (c == Shopper.ENTER_CMD) {
            String value = getString().trim();
            if (value.length() != 0) { 
                Product product = shopper.addProduct(value, parent.category);
                parent.append(value, null);
            }
        }
        Display disp = Display.getDisplay(shopper);
        disp.setCurrent(parent);
    }
}









